package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.HousePart;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.HousePartMapper")
public interface HousePartMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(HousePart record);

    HousePart selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(HousePart record);

    List<HousePart> queryAllHousePart(HousePart record);

    List<HousePart> queryHousePartByPage(Map<String, Object> parameter);

    int delete(String id);

    HousePart queryHousePart(HousePart record);

    List<HousePart> query(HousePart record);
}

